Debian Bug report logs - #612401
plymouth fails to install

version graph

Package: plymouth; Maintainer for plymouth is Daniel Baumann <mail@daniel-baumann.ch>; Source for plymouth is src:plymouth.

Reported by: daniel@debian.org

Date: Tue, 8 Feb 2011 10:33:02 UTC

Severity: serious

Found in versions plymouth/0.8.3-9.1, plymouth/0.8.3-9

Fixed in versions plymouth/0.8.3-10, 0.8.3-17

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@lists.debian-maintainers.org>:
Bug#612401; Package plymouth. (Tue, 08 Feb 2011 10:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
New Bug report received and forwarded. Copy sent to Daniel Baumann <daniel@lists.debian-maintainers.org>. (Tue, 08 Feb 2011 10:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: submit@bugs.debian.org
Subject: plymouth fails to install
Date: Tue, 08 Feb 2011 11:31:02 +0100
Package: plymouth
Version: 0.8.3-9.1
Severity: serious

plymouth fails to install.

---snip---
root@daniel:~# apt-get install plymouth
[,,,]
Unpacking plymouth (from .../plymouth_0.8.3-9.1_amd64.deb) ...
Processing triggers for man-db ...
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-2.6.32-5-amd64
cp: cannot stat `/etc/fonts/fonts.conf': No such file or directory
E: /usr/share/initramfs-tools/hooks/plymouth failed with return 1.
update-initramfs: failed for /boot/initrd.img-2.6.32-5-amd64
dpkg: error processing initramfs-tools (--unpack):
 subprocess installed post-installation script returned error exit status 1
configured to not write apport reports
Errors were encountered while processing:
 initramfs-tools
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@daniel:~#
---snap---

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Reply sent to daniel.baumann@progress-technologies.net:
You have taken responsibility. (Tue, 08 Feb 2011 11:00:21 GMT) Full text and rfc822 format available.

Notification sent to daniel@debian.org:
Bug acknowledged by developer. (Tue, 08 Feb 2011 11:00:21 GMT) Full text and rfc822 format available.

Message #10 received at 612401-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 612401-done@bugs.debian.org
Subject: Re: plymouth fails to install
Date: Tue, 08 Feb 2011 11:35:50 +0100
Version: 0.8.3-17

this has been fixed somewhen before in unstable, at latest in 0.8.3-17,
you might want to fix in it in stable though.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@lists.debian-maintainers.org>:
Bug#612401; Package plymouth. (Tue, 08 Feb 2011 11:09:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@lists.debian-maintainers.org>. (Tue, 08 Feb 2011 11:09:09 GMT) Full text and rfc822 format available.

Message #15 received at 612401@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: daniel@debian.org, 612401@bugs.debian.org
Subject: Re: Bug#612401: plymouth fails to install
Date: Tue, 8 Feb 2011 12:04:45 +0100
[Message part 1 (text/plain, inline)]
found 612401 0.8.3-9
fixed 612401 0.8.3-10
kthxbye

On Tue, Feb  8, 2011 at 11:31:02 +0100, Daniel Baumann wrote:

> Package: plymouth
> Version: 0.8.3-9.1
> Severity: serious
> 
> plymouth fails to install.
> 
> ---snip---
> root@daniel:~# apt-get install plymouth
> [,,,]
> Unpacking plymouth (from .../plymouth_0.8.3-9.1_amd64.deb) ...
> Processing triggers for man-db ...
> Processing triggers for initramfs-tools ...
> update-initramfs: Generating /boot/initrd.img-2.6.32-5-amd64
> cp: cannot stat `/etc/fonts/fonts.conf': No such file or directory
> E: /usr/share/initramfs-tools/hooks/plymouth failed with return 1.

This bug was introduced in -9 by making fontconfig-config & friends
recommends instead of Depends.  Apparently fixed in -10 by the package
split.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug Marked as found in versions plymouth/0.8.3-9. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 08 Feb 2011 11:09:10 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions plymouth/0.8.3-10. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Tue, 08 Feb 2011 11:09:11 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'serious' Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Wed, 16 Mar 2011 12:45:06 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 16 Mar 2011 12:51:13 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'serious' Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Wed, 16 Mar 2011 13:54:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@lists.debian-maintainers.org>:
Bug#612401; Package plymouth. (Wed, 16 Mar 2011 14:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@deb.at>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@lists.debian-maintainers.org>. (Wed, 16 Mar 2011 14:27:03 GMT) Full text and rfc822 format available.

Message #30 received at 612401@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: Daniel Baumann <daniel.baumann@progress-technologies.net>
Cc: control@bugs.debian.org
Subject: Re: your mail
Date: Wed, 16 Mar 2011 14:51:36 +0100
severity 612401 important
thanks

     Hi, Daniel.

* Daniel Baumann <daniel.baumann@progress-technologies.net> [2011-03-16 13:48:27 CET]:
> # no, it does not.
> severity 612401 serious

 Sorry, I'm unable to reproduce the issue in a clean squeeze chroot.
Actually the missing file /etc/fonts/fonts.conf in your log is part of
the fontconfig-config package, which is automatically pulled in through
this dependency chain, as aptitude why fontconfig-config shows:

 i   plymouth       Depends libpango1.0-0 (>= 1.21)
 i A libpango1.0-0  Depends libfontconfig1 (>= 2.8.0)
 i A libfontconfig1 Depends fontconfig-config (= 2.8.0-2.1)

 Then only way I could reproduce it is when the package
fontconfig-config got the conffile removed, and such a state isn't in
any way something that affects the userbase that would warrant it to be
release-critical. Also, what's important too is that piuparts isn't able
to reproduce your issue neither:
<http://piuparts.debian.org/squeeze/source/p/plymouth.html>

 Additionally, since you voluntarily did opt-out from maintaining the
package for stable, if you really consider the issue RC in
testing/unstable (which I would like to hear a reasoning in the light of
the above mentioned requirement for this to happen) then please consider
tagging it + wheezy sid because this issue isn't considered RC for
squeeze.

 Again, this issue doesn't appear in stable on regular systems, and
isn't reproducible by piuparts. If you are able to reproduce it on
squeeze, please offer a recipe for doing so.

 Thanks,
Rhonda




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@lists.debian-maintainers.org>:
Bug#612401; Package plymouth. (Wed, 16 Mar 2011 18:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@lists.debian-maintainers.org>. (Wed, 16 Mar 2011 18:45:03 GMT) Full text and rfc822 format available.

Message #35 received at 612401@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: Gerfried Fuchs <rhonda@deb.at>
Cc: 612401@bugs.debian.org
Subject: Re: your mail
Date: Wed, 16 Mar 2011 19:40:51 +0100
severity 612401 serious
thanks

On 03/16/2011 02:51 PM, Gerfried Fuchs wrote:
> please offer a recipe for doing so.

debootstrap squeeze squeeze http://cdn.debian.net/debian/
echo 'APT::Install-Recommends false;' >> squeeze/etc/apt/apt.conf
mount squeeze-proc -t proc squeeze/proc
chroot squeeze apt-get update
chroot squeeze apt-get install linux-image-2.6-amd64
chroot squeeze apt-get install plymouth plymouth-themes-all

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Severity set to 'serious' from 'important' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 16 Mar 2011 18:45:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@lists.debian-maintainers.org>:
Bug#612401; Package plymouth. (Wed, 16 Mar 2011 20:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@deb.at>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@lists.debian-maintainers.org>. (Wed, 16 Mar 2011 20:27:03 GMT) Full text and rfc822 format available.

Message #42 received at 612401@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@deb.at>
To: Daniel Baumann <daniel.baumann@progress-technologies.net>
Cc: 612401@bugs.debian.org
Subject: Re: your mail
Date: Wed, 16 Mar 2011 21:25:29 +0100
  Hi again.

* Daniel Baumann <daniel.baumann@progress-technologies.net> [2011-03-16 19:40:51 CET]:
> severity 612401 serious
> thanks
> 
> On 03/16/2011 02:51 PM, Gerfried Fuchs wrote:
> > please offer a recipe for doing so.
> 
> debootstrap squeeze squeeze http://cdn.debian.net/debian/
> echo 'APT::Install-Recommends false;' >> squeeze/etc/apt/apt.conf
> mount squeeze-proc -t proc squeeze/proc
> chroot squeeze apt-get update
> chroot squeeze apt-get install linux-image-2.6-amd64
> chroot squeeze apt-get install plymouth plymouth-themes-all

 Thanks, this led me to the message you wrote initial, though:

#v+
Selecting previously deselected package plymouth-themes-all.
Unpacking plymouth-themes-all (from .../plymouth-themes-all_0.8.3-9.1_all.deb) ...
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-2.6.32-5-amd64
cp: cannot stat `/etc/fonts/fonts.conf': No such file or directory
E: /usr/share/initramfs-tools/hooks/plymouth failed with return 1.
update-initramfs: failed for /boot/initrd.img-2.6.32-5-amd64
dpkg: error processing initramfs-tools (--unpack):
 subprocess installed post-installation script returned error exit status 1
configured to not write apport reports
                                      Errors were encountered while processing:
 initramfs-tools
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
Setting up libxdmcp6 (1:1.0.3-2) ...
Setting up libfreetype6 (2.4.2-2.1) ...
Setting up initramfs-tools (0.98.8) ...
update-initramfs: deferring update (trigger activated)
Setting up libpopt0 (1.16-1) ...
Setting up ucf (3.0025+nmu1) ...
Setting up libmagic1 (5.04-5) ...
Setting up libdrm2 (2.4.21-1~squeeze3) ...
Setting up libthai-data (0.1.14-2) ...
Setting up file (5.04-5) ...
Setting up libdrm-radeon1 (2.4.21-1~squeeze3) ...
Setting up libexpat1 (2.0.1-7) ...
Setting up libnewt0.52 (0.52.11-1) ...
Setting up libdrm-nouveau1 (2.4.21-1~squeeze3) ...
Setting up libdatrie1 (0.2.4-1) ...
Setting up libpcre3 (8.02-1.1) ...
Setting up ttf-dejavu-core (2.31-1) ...
Setting up libdrm-intel1 (2.4.21-1~squeeze3) ...
Setting up fontconfig-config (2.8.0-2.1) ...
Setting up libx11-data (2:1.3.3-4) ...
Setting up libpng12-0 (1.2.44-1) ...
Setting up libpixman-1-0 (0.16.4-1) ...
Setting up libglib2.0-0 (2.24.2-1) ...
Setting up libxau6 (1:1.0.6-1) ...
Setting up whiptail (0.52.11-1) ...
Setting up libfontconfig1 (2.8.0-2.1) ...
Setting up libthai0 (0.1.14-2) ...
Setting up libxcb1 (1.6-1) ...
Setting up libxcb-render0 (1.6-1) ...
Setting up libx11-6 (2:1.3.3-4) ...
Setting up defoma (0.11.11) ...
Setting up fontconfig (2.8.0-2.1) ...
Updating font configuration of fontconfig...
Cleaning up category cid..
Cleaning up category truetype..
Cleaning up category type1..
Updating category type1..
Updating category truetype..
Updating category cid..
Cleaning up old fontconfig caches... done.
Regenerating fonts cache... done.
Setting up libxcb-render-util0 (0.3.6-1) ...
Setting up libxrender1 (1:0.9.6-1) ...
Setting up libpango1.0-common (1.28.3-1+squeeze1) ...
Cleaning up font configuration of pango...
Updating font configuration of pango...
Cleaning up category xfont..
Updating category xfont..
*** You don't have any defomized font packages.
*** So we are trying to force to generate pangox.aliases...
Setting up libxft2 (2.1.14-2) ...
Setting up libcairo2 (1.8.10-6) ...
Setting up libpango1.0-0 (1.28.3-1+squeeze1) ...
Setting up plymouth (0.8.3-9.1) ...
update-initramfs: deferring update (trigger activated)
Processing triggers for initramfs-tools ...
update-initramfs: Generating /boot/initrd.img-2.6.32-5-amd64
Setting up plymouth-themes-solar (0.8.3-9.1) ...
Setting up plymouth-themes-spinfinity (0.8.3-9.1) ...
Setting up plymouth-themes-fade-in (0.8.3-9.1) ...
Setting up plymouth-themes-glow (0.8.3-9.1) ...
Setting up plymouth-themes-script (0.8.3-9.1) ...
Setting up plymouth-themes-all (0.8.3-9.1) ...
#v-                                         

 initramfs-tools recovers from the stage later in the install. The
install in the end succeeds without human interaction at all and leaves
the system in a clean state.

 The message is unfortunate, but it's by no means serious because the
install does happen properly.

 Or doesn't the install clean up after itself like it did in my log?
Rhonda




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 05 May 2013 07:26:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 01:45:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.